Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class CompilerThread

    java.lang.Object
      java.lang.Thread
          edu.udo.cs.miningmart.gui.application.CompilerThread

All Implemented Interfaces:
  java.lang.Runnable

    public class CompilerThread

extends java.lang.Thread

A `Thread` to run the compilation.

Version:
  $Id: CompilerThread.java,v 1.6 2006/09/27 15:00:01 euler Exp $
Author:
  Daniel Hakenjos

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`static int` | `COMPILE_ALL`
`static int` | `COMPILE_FROM_STEP`
`static int` | `COMPILE_STEP`
`static int` | `COMPILE_UNTIL_STEP`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CompilerThread(MiningMartApplication app, int task, long stepId)`

Method Summary
`void` | `killCompilation()` Kills the compilation.
`void` | `run()` Runs the CompilerThread.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPILE_STEP

    public static final int COMPILE_STEP

See Also:
  Constant Field Values

### COMPILE_FROM_STEP

    public static final int COMPILE_FROM_STEP

See Also:
  Constant Field Values

### COMPILE_UNTIL_STEP

    public static final int COMPILE_UNTIL_STEP

See Also:
  Constant Field Values

### COMPILE_ALL

    public static final int COMPILE_ALL

See Also:
  Constant Field Values

Constructor Detail

### CompilerThread

    public CompilerThread(MiningMartApplication app,
                          int task,
                          long stepId)

Method Detail

### killCompilation

    public void killCompilation()

  Kills the compilation.

### run

    public void run()

  Runs the CompilerThread.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005